## org.eclipse.datatools.modelbase.sql.datatypes
Interface ExactNumericDataType

All Superinterfaces:
  DataType, NumericalDataType, PredefinedDataType, SQLDataType, SQLObject

All Known Subinterfaces:
  FixedPrecisionDataType, IntegerDataType

All Known Implementing Classes:
  ExactNumericDataTypeImpl, FixedPrecisionDataTypeImpl, IntegerDataTypeImpl

public interface ExactNumericDataType
extends NumericalDataType

A representation of the model object 'Exact Numeric Data Type'. Reference: 5WD-02-Foundation-2002-12 4.4 Numbers

The following features are supported:

- `Scale`

See Also:
  `SQLDataTypesPackage.getExactNumericDataType()`

Method Summary
`int` `getScale()` Returns the value of the 'Scale' attribute.
`void` `setScale(int value)` Sets the value of the '`Scale`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.NumericalDataType
`getPrecision, setPrecision`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getScale

    public int getScale()

  Returns the value of the 'Scale' attribute.

  If the meaning of the 'Scale' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scale' attribute.
  See Also:
    `setScale(int)`, `SQLDataTypesPackage.getExactNumericDataType_Scale()`

### setScale

    public void setScale(int value)

  Sets the value of the '`Scale`' attribute.

  Parameters:
    `value` - the new value of the 'Scale' attribute.
  See Also:
    `getScale()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.